@charset "UTF-8";
html {
  line-height: 1.15;
  -ms-text-size-adjust: 100%;
  -webkit-text-size-adjust: 100%;
}

body {
  margin: 0;
}

article, aside, footer, header, nav, section {
  display: block;
}

h1 {
  font-size: 2em;
  margin: 0.67em 0;
}

figcaption, figure, main {
  display: block;
}

figure {
  margin: 1em 40px;
}

hr {
  -webkit-box-sizing: content-box;
          box-sizing: content-box;
  height: 0;
  overflow: visible;
}

pre {
  font-family: monospace, monospace;
  font-size: 1em;
}

a {
  background-color: transparent;
  -webkit-text-decoration-skip: objects;
}

abbr[title] {
  border-bottom: none;
  text-decoration: underline;
  -webkit-text-decoration: underline dotted;
          text-decoration: underline dotted;
}

b, strong {
  font-weight: inherit;
}

b, strong {
  font-weight: bolder;
}

code, kbd, samp {
  font-family: monospace, monospace;
  font-size: 1em;
}

dfn {
  font-style: italic;
}

mark {
  background-color: #ff0;
  color: #000;
}

small {
  font-size: 80%;
}

sub, sup {
  font-size: 75%;
  line-height: 0;
  position: relative;
  vertical-align: baseline;
}

sub {
  bottom: -0.25em;
}

sup {
  top: -0.5em;
}

audio, video {
  display: inline-block;
}

audio:not([controls]) {
  display: none;
  height: 0;
}

svg:not(:root) {
  overflow: hidden;
}

button, input, optgroup, select, textarea {
  font-family: sans-serif;
  font-size: 100%;
  line-height: 1.15;
  margin: 0;
}

button, input {
  overflow: visible;
}

button, select {
  text-transform: none;
}

button, html [type=button], [type=reset], [type=submit] {
  -webkit-appearance: button;
}

button::-moz-focus-inner, [type=button]::-moz-focus-inner, [type=reset]::-moz-focus-inner, [type=submit]::-moz-focus-inner {
  border-style: none;
  padding: 0;
}

button:-moz-focusring, [type=button]:-moz-focusring, [type=reset]:-moz-focusring, [type=submit]:-moz-focusring {
  outline: 1px dotted ButtonText;
}

fieldset {
  padding: 0.35em 0.75em 0.625em;
}

legend {
  -webkit-box-sizing: border-box;
          box-sizing: border-box;
  color: inherit;
  display: table;
  max-width: 100%;
  padding: 0;
  white-space: normal;
}

progress {
  display: inline-block;
  vertical-align: baseline;
}

textarea {
  overflow: auto;
}

[type=checkbox], [type=radio] {
  -webkit-box-sizing: border-box;
          box-sizing: border-box;
  padding: 0;
}

[type=number]::-webkit-inner-spin-button, [type=number]::-webkit-outer-spin-button {
  height: auto;
}

[type=search] {
  -webkit-appearance: textfield;
  outline-offset: -2px;
}

[type=search]::-webkit-search-cancel-button, [type=search]::-webkit-search-decoration {
  -webkit-appearance: none;
}

::-webkit-file-upload-button {
  -webkit-appearance: button;
  font: inherit;
}

details, menu {
  display: block;
}

summary {
  display: list-item;
}

canvas {
  display: inline-block;
}

template {
  display: none;
}

[hidden] {
  display: none;
}

* {
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

.sr-only {
  position: absolute;
  width: 1px;
  height: 1px;
  margin: -1px;
  border: 0;
  padding: 0;
  white-space: nowrap;
  -webkit-clip-path: inset(100%);
          clip-path: inset(100%);
  clip: rect(0 0 0 0);
  overflow: hidden;
}

.wrapper {
  max-width: 1260px;
  width: 80%;
  margin: 0 auto;
}

ul,
li,
a,
input {
  padding: 0;
  margin: 0;
}

ul {
  list-style: none;
}

a {
  text-decoration: none;
  cursor: pointer;
  -webkit-transition: 0.3s;
  transition: 0.3s;
  color: #F3DEAA;
}
a:hover {
  color: #FFF;
}
a:focus {
  color: #FFF;
}

button {
  font-size: 2.5rem;
  font-family: "Silkscreen", cursive;
  background-color: #F3DEAA;
  border: none;
  padding: 10px 20px;
  -webkit-transition: 0.3s;
  transition: 0.3s;
  cursor: pointer;
  border-radius: 20px;
  color: #203253;
}
button:hover {
  background-color: #203253;
  color: #F3DEAA;
}
button:focus {
  background-color: #203253;
  color: #F3DEAA;
}

html {
  font-size: 125%;
}

body {
  background-image: url("../assets/backgroundImageBlue.jpg");
  line-height: 2.5rem;
  font-size: 1.5rem;
  color: #000;
  letter-spacing: 0.1rem;
}

h1,
h2,
h3 {
  font-weight: bold;
  margin: 0;
}

h1 {
  font-family: "Silkscreen", cursive;
  font-size: 4rem;
  line-height: 3.5rem;
}

h2,
h3 {
  color: #F3DEAA;
}

h2 {
  font-size: 2.25rem;
  font-family: "Source Code Pro", monospace;
}

h3 {
  line-height: 2rem;
  font-size: 2rem;
}

p,
h3,
select {
  font-family: "Silkscreen", cursive;
}

header {
  background: url("../assets/headerImg.jpeg") no-repeat top center/100vw;
}

header .flexContainer {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  text-align: center;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
}

.headingContainer {
  padding: 5rem 0;
  position: relative;
}
.headingContainer .typerAnimation {
  position: absolute;
  top: 55%;
}

.startGameContainer {
  margin-top: 4rem;
  margin-bottom: 3rem;
}
.startGameContainer .buttonContainer {
  margin-top: 20px;
}

h1 {
  margin-bottom: 20rem;
}

h2 {
  background-color: #203253;
  margin: 5rem 0 2rem 0;
  padding: 2rem;
}

h3 {
  margin-bottom: 1rem;
}

.question {
  display: none;
  margin-top: 2rem;
}

.question .flexContainer {
  text-align: center;
}
.question .flexContainer .formContainer {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  margin-bottom: 20px;
}
.question .flexContainer .formContainer form {
  width: 70%;
  margin-bottom: 1.5rem;
}
.question .flexContainer .formContainer form fieldset {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
  background-color: #203253;
  border: none;
  border-radius: 45px;
  padding: 20px;
}
.question .flexContainer .formContainer form fieldset #creatureQuestion {
  width: 80%;
  text-align: center;
  border-radius: 30px;
  border: 2px solid #FFF;
  padding: 10px;
  -webkit-appearance: none;
     -moz-appearance: none;
          appearance: none;
  padding: 3%;
  color: #0B8142;
  margin-bottom: 1rem;
}
.question .flexContainer .formContainer form fieldset #creatureQuestion:hover, .question .flexContainer .formContainer form fieldset #creatureQuestion:focus {
  border: 2px solid #0B8142;
}

.showMe {
  background-color: #F3DEAA;
  color: #203253;
}
.showMe:hover, .showMe:focus {
  background-color: #203253;
  color: #F3DEAA;
  border: 2px solid #F3DEAA;
}

.answer {
  display: none;
}

.answer .flexContainer {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  background-color: #203253;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
  text-align: center;
  border-radius: 25%;
  border: 5px solid #F3DEAA;
}
.answer .flexContainer .name {
  font-size: 2.25rem;
  font-weight: bold;
}
.answer .flexContainer h2 {
  margin: 2rem 1rem 1rem 1rem;
  background-color: inherit;
  font-family: "Silkscreen", cursive;
}

.answer .cardContainer {
  margin: 0 auto;
}
.answer .cardContainer .imgContainer {
  overflow: hidden;
  padding: 1rem;
  max-width: 100vw;
}
.answer .cardContainer .imgContainer .img {
  width: 100%;
}
.answer .cardContainer .imgContainer img {
  border: 5px solid #F3DEAA;
  border-radius: 50%;
}
.answer .cardContainer .cardContentContainer {
  color: #F3DEAA;
  padding: 0 5rem 2rem 5rem;
  text-align: center;
}
.answer .cardContainer .cardContentContainer .location::before {
  content: "📍";
}
.answer .cardContainer .cardContentContainer .description::before {
  content: "👹";
}

footer p {
  text-align: center;
  background-color: #203253;
  margin-top: 8rem;
  padding: 10px;
  color: #F3DEAA;
}

/********BELOW 1000px*******/
@media (max-width: 1000px) {
  html {
    font-size: 100%;
  }
}
/********BELOW 800px*******/
@media (max-width: 800px) {
  html {
    font-size: 80%;
  }
}
/********BELOW 680px*******/
@media (max-width: 680px) {
  html {
    font-size: 70%;
  }
}
/********BELOW 500px*******/
@media (max-width: 500px) {
  html {
    font-size: 50%;
  }
  .headingContainer .typerAnimation {
    top: 60%;
  }
}
/********BELOW 415px*******/
@media (max-width: 500px) {
  html {
    font-size: 45%;
  }
}